package com.fs.course.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 短链对象 fs_course_link
 *
 * @author fs
 * @date 2024-10-24
 */
@Data
public class FsCourseLink extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键Id */
    private Long linkId;

    /** 链接后缀 */
    @Excel(name = "链接后缀")
    private String link;

    /** 真实链接 */
    @Excel(name = "真实链接")
    private String realLink;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 企微userId */
    @Excel(name = "企微userId")
    private String qwUserId;

    /** 课节id */
    @Excel(name = "课节id")
    private Long videoId;

    /** 企微主体id */
    @Excel(name = "企微主体id")
    private String corpId;

    private Long courseId;
    /**
    * 企微外部联系表主键
    */
    private Long qwExternalId;

    private Integer linkType; //链接类型 0:正常链接  1:应急链接

//    private String link_uuid;

    private Integer isRoom;//是否发群
    private String chatId;//是否发群

    @Excel(name = "营期id")
    private Long periodId;

}
