package com.fs.course.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.FsUserCoursePeriodDays;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 营期课程Mapper接口
 * 
 * @author fs
 * @date 2025-04-16
 */
public interface FsUserCoursePeriodDaysMapper extends BaseMapper<FsUserCoursePeriodDays>{
    /**
     * 查询营期课程
     * 
     * @param id 营期课程主键
     * @return 营期课程
     */
    FsUserCoursePeriodDays selectFsUserCoursePeriodDaysById(Long id);

    /**
     * 查询营期课程列表
     * 
     * @param fsUserCoursePeriodDays 营期课程
     * @return 营期课程集合
     */
    List<FsUserCoursePeriodDays> selectFsUserCoursePeriodDaysList(FsUserCoursePeriodDays fsUserCoursePeriodDays);

    /**
     * 新增营期课程
     * 
     * @param fsUserCoursePeriodDays 营期课程
     * @return 结果
     */
    int insertFsUserCoursePeriodDays(FsUserCoursePeriodDays fsUserCoursePeriodDays);

    /**
     * 修改营期课程
     * 
     * @param fsUserCoursePeriodDays 营期课程
     * @return 结果
     */
    int updateFsUserCoursePeriodDays(FsUserCoursePeriodDays fsUserCoursePeriodDays);

    /**
     * 删除营期课程
     * 
     * @param id 营期课程主键
     * @return 结果
     */
    int deleteFsUserCoursePeriodDaysById(Long id);

    /**
     * 批量删除营期课程
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserCoursePeriodDaysByIds(Long[] ids);
}
